db4o |

# XTeaEncryptionFileAdapter Members

XTeaEncryptionFileAdapter overview

#### Public Instance Constructors

XTeaEncryptionFileAdapter | Overloaded. Initializes a new instance of the XTeaEncryptionFileAdapter class.

#### Public Instance Methods

BlockCopy (inherited from IoAdapter) | copies a block within a file in block mode
BlockSeek (inherited from IoAdapter) | Overloaded. sets the read/write pointer in the file using block mode
BlockSize (inherited from IoAdapter) | Overloaded. outside call to set the block size of this adapter
Close | implement to close the adapter
Copy (inherited from IoAdapter) | copies a block within a file in absolute mode
Delete |
Equals (inherited from Object) |
Exists |
GetHashCode (inherited from Object) |
GetLength | implement to return the absolute length of the file
GetType (inherited from Object) |
Open | implement to open the file
Read | Overloaded. implement to read and decrypt a buffer
Read (inherited from IoAdapter) | Overloaded. reads a buffer at the seeked address
Seek | implement to set the read/write pointer in the file
Sync | implement to flush the file contents to storage
ToString (inherited from Object) |
Write | Overloaded. implement to write and encrypt a buffer
Write (inherited from IoAdapter) | Overloaded. writes a buffer to the seeked address

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
RegularAddress (inherited from IoAdapter) | converts address and address offset to an absolute address

#### See Also

XTeaEncryptionFileAdapter Class | com.db4o.io.crypt Namespace